<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="page">
    <name>main</name>
    <title>Globus Scheduler Event Generator</title>
    <filename>main</filename>
  </compound>
  <compound kind="page">
    <name>seg_protocol</name>
    <title>SEG Protocol</title>
    <filename>seg_protocol</filename>
    <docanchor file="seg_protocol">seg_protocol_001</docanchor>
    <docanchor file="seg_protocol">seg_protocol_messages</docanchor>
  </compound>
  <compound kind="group">
    <name>seg_api</name>
    <title>Scheduler Implementation API</title>
    <filename>group__seg__api.html</filename>
    <member kind="enumeration">
      <name>globus_scheduler_event_generator_error_t</name>
      <anchor>gcc350908f7e96e14c51275daa24ba0da</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_SEG_ERROR_TYPE_NULL</name>
      <anchor>ggcc350908f7e96e14c51275daa24ba0daa9eb8fa82700bd784ed2f76760dc3050</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_SEG_ERROR_TYPE_ALREADY_SET</name>
      <anchor>ggcc350908f7e96e14c51275daa24ba0da884b4de998b5231b811fff6cf8c46475</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_SEG_ERROR_TYPE_INVALID_MODULE</name>
      <anchor>ggcc350908f7e96e14c51275daa24ba0dadf2a9d68f7383a09cf854953fc56ee6c</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_SEG_ERROR_TYPE_INVALID_FORMAT</name>
      <anchor>ggcc350908f7e96e14c51275daa24ba0dac89c9385a68def57b5e98586cd7cb77c</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_SEG_ERROR_TYPE_OUT_OF_MEMORY</name>
      <anchor>ggcc350908f7e96e14c51275daa24ba0da1894f9d2c9659e8ce6a13683866af5f5</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_SEG_ERROR_TYPE_LOADING_MODULE</name>
      <anchor>ggcc350908f7e96e14c51275daa24ba0da67e08d809f74789bda782765188c7401</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_scheduler_event</name>
      <anchorfile>group__seg__api.html</anchorfile>
      <anchor>g0a045a7e27ce63d634271ed187bda0dc</anchor>
      <arglist>(const char *format,...)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_scheduler_event_pending</name>
      <anchorfile>group__seg__api.html</anchorfile>
      <anchor>g7ce2d4ec7b4bf92a61dafcf1bd0ab936</anchor>
      <arglist>(time_t timestamp, const char *jobid)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_scheduler_event_active</name>
      <anchorfile>group__seg__api.html</anchorfile>
      <anchor>g632a5902a08139eee5d4ecf08db32dd7</anchor>
      <arglist>(time_t timestamp, const char *jobid)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_scheduler_event_failed</name>
      <anchorfile>group__seg__api.html</anchorfile>
      <anchor>gdf433b095ce81442bb396b3a7a0ff4b7</anchor>
      <arglist>(time_t timestamp, const char *jobid, int failure_code)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_scheduler_event_done</name>
      <anchorfile>group__seg__api.html</anchorfile>
      <anchor>g43777b1e035293a0f332ef2c8fc8b0c6</anchor>
      <arglist>(time_t timestamp, const char *jobid, int exit_code)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_scheduler_event_generator_get_timestamp</name>
      <anchorfile>group__seg__api.html</anchorfile>
      <anchor>g50a41c1d113fbd90ead9521ff7f00995</anchor>
      <arglist>(time_t *timestamp)</arglist>
    </member>
  </compound>
</tagfile>
